Package org.h2.jdbc

# Enum Class JdbcLob.State

java.lang.Object
java.lang.Enum<JdbcLob.State>
org.h2.jdbc.JdbcLob.State

All Implemented Interfaces:
  `Serializable`, `Comparable<JdbcLob.State>`, `Constable`

Enclosing class:
  JdbcLob

public static enum JdbcLob.State extends Enum<JdbcLob.State>
State of the object.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLOSED`
Object is closed.
`NEW`
New object without a value.
`SET_CALLED`
One of setter methods is invoked, but stream is not closed yet.
`WITH_VALUE`
A value is set.

## Method Summary

Modifier and Type
Method
Description
`static JdbcLob.State`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static JdbcLob.State[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NEW

public static final JdbcLob.State NEW
New object without a value.

### SET_CALLED

public static final JdbcLob.State SET_CALLED
One of setter methods is invoked, but stream is not closed yet.

### WITH_VALUE

public static final JdbcLob.State WITH_VALUE
A value is set.

### CLOSED

public static final JdbcLob.State CLOSED
Object is closed.

## Method Details

### values

public static JdbcLob.State[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static JdbcLob.State valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null